<template>
  <v-hover v-slot:default="{ hover }">
    <v-btn
      tile
      large
      dark
      color="light-blue"
      class="app-header__feedback-btn"
      :ripple="{ center: true, class: 'light-green--text' }"
      @click="openFeedbackForm"
    >
      <v-icon left :color="hover ? 'black' : 'white'">mdi-cellphone</v-icon>
      <span
        :class="[hover ? 'light-blue--text' : 'black--text', 'font-weight-light']"
        v-text="locale['button.feedback']"
      ></span>
    </v-btn>
  </v-hover>
</template>

<script>
export default {
  computed: {
    locale() {
      return this.$store.getters.layoutLocale
    },
  },

  methods: {
    openFeedbackForm() {
      this.$store.commit('feedback/SET_DRAWER', true)
    },
  },
}
</script>

<style lang="scss" scoped>
/*
&__feedback-btn {
  .v-icon,
  .v-btn__content > span {
    transition: color 0.4s ease-in-out;
  }
}
*/
</style>
